Skip to content

Save a registry credential

PUT
/container/registry-credentials
curl --request PUT \
--url https://sylve.lan:8181/api/container/registry-credentials \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "password": "example", "registry": "example", "username": "example" }'

Add or replace the login used to pull from a registry

Credential

Media typeapplication/json
object
password
required
string
registry
required
string
username
required
string
Examplegenerated
{
"password": "example",
"registry": "example",
"username": "example"
}

Success

Media typeapplication/json
object
data
object
createdAt
string
id
integer
registry
string
updatedAt
string
username
string
error
string
message
string
status
string
Examplegenerated
{
"data": {
"createdAt": "example",
"id": 1,
"registry": "example",
"updatedAt": "example",
"username": "example"
},
"error": "example",
"message": "example",
"status": "example"
}